// Clase hijo dentro de la herencia

public class Hijo extends Padre{	// Hereda del padre
	private int c;

	// Constructores
	public Hijo() {
		//a = 0; // Se hereda b, pero no a
		b = 0;
		c = 0;
	}
	
	public Hijo(int a1, int a2, int a3) {
		super(a1,a2); // Invoca al constructor del padre
		c = a3;
		//x = a3;
		//setY(a1);	// Se puede acceder a las variables privadas mediante los metodos definidos
	}
	
	// Metodos
	public int getC() {
		return c;
	}

	public void setC(int c) {
		this.c = c;
	}
	
	// Sse ensombrece el metodo del padre 
	@Override
	public String toString() {
		return "a = "+getA()+" b = "+b+" c = "+c;
	}
}
